Bug 4702 - неработоспособны на ядре 2.6.x
: неработоспособны на ядре 2.6.x
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hotplug)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-06 14:15 by
Modified: 2007-04-06 16:00 (History)


Attachments
`lsmod` (2.49 KB, text/plain)
2004-07-18 14:52, Michael Shigorin
no flags Details
/etc/sysconfig/hotplug (581 bytes, text/plain)
2004-07-18 14:52, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-06 14:15:47
На ядре 2.6.7 звук оказывается сброшен в нули после каждой перезагрузке.
------- Comment #1 From 2004-07-06 14:18:24 -------
А что изменилось в 2.6.7?
------- Comment #2 From 2004-07-06 14:23:24 -------
более новая alsa.
------- Comment #3 From 2004-07-06 14:28:46 -------
Можешь попробовать определить, это регуляторы в сейве съехали? (или что
виновато)

У меня сейчас нет времени возиться с 2.6 :-(
------- Comment #4 From 2004-07-06 14:41:54 -------
Как это определить ?
------- Comment #5 From 2004-07-06 14:54:16 -------
В лог ругается при попытке использовать названия регулировок из записи.

Как вариант:

rm /etc/asound.state
бутнуться в 2.6.раньше
cp /etc/asound.state /etc/asound.state-1
rm /etc/asound.state
бутнуться в 2.6.7
cp /etc/asound.state /etc/asound.state-2

diff -u /etc/asound.state-1 /etc/asound.state-2
------- Comment #6 From 2004-07-16 12:10:37 -------
насколько понимаю -- эта функциональность под 2.6 переехала в
hotplug-2004_03_29-alt5+.

вот только с инициализацией состояния _двух_ карт -- вилы: для card0 мы
выставляем ненулевые уровни, а card1 остается в нулях.  очень может быть, что
это проблема set_default_levels() из sound-scripts, но я так и не могу пока
заставить kudzu поднимать card1 (emu10k1), а ломать рабочую систему вконец тоже
не хочется...
------- Comment #7 From 2004-07-16 13:44:35 -------
С инициализацией двух звуковых на каком ядре вилы ? на 2.6 или на 2.4 ?
------- Comment #8 From 2004-07-16 14:34:02 -------
На 2.4 же hotplug туда не лезет? (виды есть -- kudzu _не_ конфигурирует
emu10k1,
хотя ошметки попыток есть [above snd-emu10k1 snd-pcm-oss] и в
/etc/sysconfig/hwconf запись тоже есть)
------- Comment #9 From 2004-07-16 14:56:20 -------
на 2.4 не лезет. Вопрос был конкретный: где у тебя вилы? Ответа я так и не
услышал...
------- Comment #10 From 2004-07-16 16:41:41 -------
Не успевал дописать -- собирался уходить.  Но ответ был не менее конкретный,
чем
вот этот твой вопрос -- "под 2.6".

Т.е. card0 (snd-intel8x0) hotplug проинициализировал микшер не-нулями, а вот
для
card1 (snd-emu10k1) это не было сделано.

Остальная часть -- под впечатлением постоянства #4735 :(
------- Comment #11 From 2004-07-18 14:05:11 -------
Понятно. Я нашел ошибочку в hotplug, выложу новую версию - проверь плз.
------- Comment #12 From 2004-07-18 14:07:18 -------
Мож давай где сбоку, я бы прямщас и забрал? :)
------- Comment #13 From 2004-07-18 14:31:44 -------
Попробуй вот этот патч на то что у тебя есть:
--- sound.agent.orig    2004-07-14 18:51:41 +0400
+++ sound.agent 2004-07-18 14:28:14 +0400
@@ -17,8 +17,8 @@
 
 STATEPATH=/var/lib/hotplug
 
-$AMIXER=/usr/bin/amixer
-$ALSACTL=/usr/sbin/alsactl
+AMIXER=/usr/bin/amixer
+ALSACTL=/usr/sbin/alsactl
 
 [ -x $AMIXER -a -x $ALSACTL ] || exit 0
------- Comment #14 From 2004-07-18 14:39:07 -------
еще с этой машины покажи мне плз следущую информацию:
1. Содержимое каталога  /sys/class/sound/ (ls -a)
2. lsmod
3. /etc/sysconfig/hotplug
4. pciscan -v -c 004
------- Comment #15 From 2004-07-18 14:45:30 -------
Приложил (как это знакомо при всей этой куче языков); чичас бутнусь.
------- Comment #16 From 2004-07-18 14:52:01 -------
home:~> ls -a /sys/class/sound/
.      audio      dmmidi1  midi1     pcmC0D0c  pcmC1D0c  pcmC1D3p
..     audio1     dsp      midiC1D0  pcmC0D0p  pcmC1D0p  timer
adsp   controlC0  dsp1     mixer     pcmC0D1c  pcmC1D1c
adsp1  controlC1  hwC1D0   mixer1    pcmC0D2p  pcmC1D2c

`/sbin/lsmod` и /etc/sysconfig/hotplug -- прицеплены

home:~> pciscan -v -c 004
Recommended driver     Description
------------------     -----------
snd-intel8x0           Nvidia Corporation|nForce2 Audio Codec
Interface[Multimedia audio controller]
                       10de:006a:1297:0531  drivers: snd-intel8x0  class:004:01:00

snd-emu10k1            Creative Labs|SB Live! (audio)[Multimedia audio controller]
                       1102:0002:1102:8064  drivers: snd-emu10k1  class:004:01:00

------- Comment #17 From 2004-07-18 14:52:22 -------
Created an attachment (id=494) [details]
`lsmod`
------- Comment #18 From 2004-07-18 14:52:41 -------
Created an attachment (id=495) [details]
/etc/sysconfig/hotplug
------- Comment #19 From 2004-07-18 15:02:57 -------
Та, а с этим патчем - заработало ?

Попробуй выставить уровни громкости для обоих устройст и просто сказать service
hotplug restart.

Что появляется в каталоге /var/lib/hotplug/ ?
------- Comment #20 From 2004-07-18 15:26:55 -------
fixed (hotplug-2004_03_29-alt6, sound-scripts-0.41-alt3).
------- Comment #21 From 2004-07-18 15:34:42 -------
Вроде заработало.  Вот:

home:~> sudo service hotplug stop 
Save mixer values for /class/sound/controlC0 (0)
Save mixer values for /class/sound/controlC1 (1)
home:~> sudo rm /var/lib/hotplug/*  
home:~> sudo service hotplug start                                             
                                 Set default mixer values for
/class/sound/controlC0 (0)
Save mixer values for /class/sound/controlC0 (0)
Set default mixer values for /class/sound/controlC1 (1)
Save mixer values for /class/sound/controlC1 (1)
home:~> ( amixer -c 0 get Master; amixer -c 1 get Master ) | fgrep '[on]'
  Front Left: Playback 23 [74%] [on]                                           
                                   Front Right: Playback 23 [74%] [on]
  Front Left: Playback 23 [74%] [on]
  Front Right: Playback 23 [74%] [on]
home:~> ( amixer -c 0 set Master 31; amixer -c 1 set Master 15) | fgrep '[on]'
  Front Left: Playback 31 [100%] [on]                                          
                                   Front Right: Playback 31 [100%] [on]
  Front Left: Playback 15 [48%] [on]
  Front Right: Playback 15 [48%] [on]
home:~> sudo service hotplug restart                                          
Save mixer values for /class/sound/controlC0 (0)                               
                                 Save mixer values for /class/sound/controlC1 (1)
Restore mixer values for /class/sound/controlC0 (0)
Restore mixer values for /class/sound/controlC1 (1)
home:~> ( amixer -c 0 get Master; amixer -c 1 get Master ) | fgrep '[on]'     
  Front Left: Playback 31 [100%] [on]
  Front Right: Playback 31 [100%] [on]
  Front Left: Playback 15 [48%] [on]
  Front Right: Playback 15 [48%] [on]
home:~> ls /var/lib/hotplug/*                                       
/var/lib/hotplug/asound0.state  /var/lib/hotplug/asound1.state